=begin
Copyright 2013, Chris Fullmer
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Chris Fullmer with Stepped colorization by ICEPAM.
Organization - www.ChrisFullmer.com and distributed on the SketchUp Extension Warehouse and smustard.com
Name - Color by Z
SU Version - 2013, 8, 7

Description
This script paints faces based on their centerpoint's Z height.  It uses colors selected by the user.

Usage
Run from Plugins > Chris Fullmer Tools > Color by Z.  Either select faces to be painted, 
or it will paint all non-grouped faces.  Then run the script.  Enter the RGB values for the 
Highest Z faces, then enter the RGB values (0-255) for the lowest Z faces.  The script will 
paint all faces according to the height, based on the max height and min height colors.  It 
turns into a gradient of color from high to low.  Note that each faces is only painted one color.
So very long tall faces will be painted according to where their centerpoint is.

History
1.0:: 2009-02-13
   * Original release. Type in RGB values (no color picker utilized yet).
1.1:: 2009-02-13
   * Fixed a few little things that were set wrong with the require section
1.2:: 2009-02-13
   * Update rdoc compatiblity
   * New license info to conform to Smustards EULA
1.3:: 2009-03-09
   * Organizer.rb support. If you place this script into an organizer directory, it will appear in the correct submenu.  If its just in the plugins folder, it will appear in "Chris Fullmer Tools" submenu of the Plugins Menu."
1.5:: 2009-08-09
   * Re-checked code.  Uploaded to smustard.com to be hosted there.
1.6.0 2013-05-02
  * Compatible with EW
1.6.1 2013-05-06
  * Fixed menu compatibility with older clf scripts
=end


module CLF_Extensions_NS

  module CLF_Color_by_Z

    require 'sketchup.rb'
    require 'extensions.rb'
    
    NAME = "clf_color_by_z"
    UNAME = "CLF Color by Z"
    MENU_NAME = "Color by Z"
    version = "1.2.1"           #EDIT
    desc = "This plugin will quickly paint faces based on the Z coordinate (height) of the face."
    copy_year = "2013"
    author = "Chris Fullmer"
    
#------edit above--------------------------------------------------------------- 

    
    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_menus.rb"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > Chris Fullmer Tools > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year
     
    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )
    
  end
end